For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Project Fields
      • POSTCreate Project Field
      • PUTUpdate Project Field Definition (e.g. rename)
      • DELDelete Project Field
      • GETRetrieve ProjectField Value
      • PUTUpdate ProjectField Value
      • PUTUpdate Project Field Options (for dropdown types)
      • GETRetrieve All ProjectField Values
LogoLogo
SupportContact salesStart free trial
API ReferenceProject Field

Delete Project Field

DELETE
https://api.projectmanager.com/api/data/projects/fields/:fieldId
DELETE
/api/data/projects/fields/:fieldId
$curl -X DELETE https://api.projectmanager.com/api/data/projects/fields/fieldId \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue"
13}
Deletes an existing ProjectField within your Workspace. A ProjectField is a custom field defined within your Workspace. You can define ProjectFields for any integration purpose that is important to your business. Each ProjectField has a data type as well as options in how it is handled. ProjectFields can be edited for each Project within your Workspace.
Was this page helpful?
Previous

Retrieve ProjectField Value

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

fieldIdstringRequired
The unique identifier or short ID of this ProjectField

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.